<?php
//DeCode By Http://www.360.com.sb

if (isset($_POST['customaction'])) {
	switch ($_POST['customaction']) {
	case 'status':
		if (file_exists('../../../../init.php')) {
			require_once '../../../../init.php';
		}

		if (file_exists(dirname(__DIR__) . '/classes/class.php')) {
			require_once dirname(__DIR__) . '/classes/class.php';
		}

		$params = array('configoption1' => $_POST['apiurl'], 'configoption2' => $_POST['apikey']);
		$Linodes = new Linodes($params);
		$getList = $Linodes->getList($_POST['linodeid']);

		if ($getList['DATA'][0]['STATUS'] == 1) {
			$status = array('label' => $getList['DATA'][0]['LABEL'], 'msg' => 'Running');
		}
		else {
			if ($getList['DATA'][0]['STATUS'] == 2) {
				$status = array('label' => $getList['DATA'][0]['LABEL'], 'msg' => 'Shutdown');
			}
		}

		print_r(json_encode($status));
		exit();
		break;

	case 'reboot':
		if (file_exists('../../../../init.php')) {
			require_once '../../../../init.php';
		}

		if (file_exists(dirname(__DIR__) . '/classes/class.php')) {
			require_once dirname(__DIR__) . '/classes/class.php';
		}

		$params = array('configoption1' => $_POST['apiurl'], 'configoption2' => $_POST['apikey']);
		$Linodes = new Linodes($params);
		$rebootLinode = $Linodes->rebootLinode($_POST['linodeid'], $_POST['configid']);
		if (isset($rebootLinode['ERRORARRAY']) && !empty($rebootLinode['ERRORARRAY'][0]['ERRORCODE'])) {
			$status = array('status' => 'error', 'msg' => '<div class="alert alert-danger">ERRORCODE: ' . $rebootLinode['ERRORARRAY'][0]['ERRORCODE'] . ' | ERRORMESSAGE: ' . $rebootLinode['ERRORARRAY'][0]['ERRORMESSAGE'] . '</div>');
		}
		else {
			$status = array('status' => 'success', 'msg' => '<div class="alert alert-success">Your server has been successfully reboot.</div>');
		}

		print_r(json_encode($status));
		exit();
		break;

	case 'shutdown':
		if (file_exists('../../../../init.php')) {
			require_once '../../../../init.php';
		}

		if (file_exists(dirname(__DIR__) . '/classes/class.php')) {
			require_once dirname(__DIR__) . '/classes/class.php';
		}

		$params = array('configoption1' => $_POST['apiurl'], 'configoption2' => $_POST['apikey']);
		$Linodes = new Linodes($params);
		$getList = $Linodes->getList($_POST['linodeid']);

		if ($getList['DATA'][0]['STATUS'] != 2) {
			$shutdownLinode = $Linodes->shutdownLinode($_POST['linodeid']);
			if (isset($shutdownLinode['ERRORARRAY']) && !empty($shutdownLinode['ERRORARRAY'][0]['ERRORCODE'])) {
				$status = array('status' => 'error', 'msg' => '<div class="alert alert-danger">ERRORCODE: ' . $shutdownLinode['ERRORARRAY'][0]['ERRORCODE'] . ' | ERRORMESSAGE: ' . $shutdownLinode['ERRORARRAY'][0]['ERRORMESSAGE'] . '</div>');
			}
			else {
				$status = array('status' => 'success', 'msg' => '<div class="alert alert-success">Your server has been successfully shutdown.</div>');
			}
		}
		else {
			$status = array('status' => 'error', 'msg' => '<div class="alert alert-danger">Sorry, your is already shutdown.</div>');
		}

		print_r(json_encode($status));
		exit();
		break;

	case 'boot':
		if (file_exists('../../../../init.php')) {
			require_once '../../../../init.php';
		}

		if (file_exists(dirname(__DIR__) . '/classes/class.php')) {
			require_once dirname(__DIR__) . '/classes/class.php';
		}

		$params = array('configoption1' => $_POST['apiurl'], 'configoption2' => $_POST['apikey']);
		$Linodes = new Linodes($params);
		$bootLinode = $Linodes->bootLinode($_POST['linodeid'], $_POST['configid']);
		if (isset($bootLinode['ERRORARRAY']) && !empty($bootLinode['ERRORARRAY'][0]['ERRORCODE'])) {
			$status = array('status' => 'error', 'msg' => '<div class="alert alert-danger">ERRORCODE: ' . $bootLinode['ERRORARRAY'][0]['ERRORCODE'] . ' | ERRORMESSAGE: ' . $bootLinode['ERRORARRAY'][0]['ERRORMESSAGE'] . '</div>');
		}
		else {
			$status = array('status' => 'success', 'msg' => '<div class="alert alert-success">Your server has been successfully boot.</div>');
		}

		print_r(json_encode($status));
		exit();
		break;

	case 'update':
		if (file_exists('../../../../init.php')) {
			require_once '../../../../init.php';
		}

		if (file_exists(dirname(__DIR__) . '/classes/class.php')) {
			require_once dirname(__DIR__) . '/classes/class.php';
		}

		$params = array('configoption1' => $_POST['apiurl'], 'configoption2' => $_POST['apikey']);
		$Linodes = new Linodes($params);
		$updateLinode = $Linodes->updateLinode($_POST);
		if (isset($updateLinode['ERRORARRAY']) && !empty($updateLinode['ERRORARRAY'][0]['ERRORCODE'])) {
			$status = array('status' => 'error', 'msg' => '<div class="alert alert-danger">ERRORCODE: ' . $updateLinode['ERRORARRAY'][0]['ERRORCODE'] . ' | ERRORMESSAGE: ' . $updateLinode['ERRORARRAY'][0]['ERRORMESSAGE'] . '</div>');
		}
		else {
			$status = array('status' => 'success', 'msg' => '<div class="alert alert-success">Your server has been successfully updated.</div>');
		}

		print_r(json_encode($status));
		exit();
		break;

	case 'updatedisk':
		if (file_exists('../../../../init.php')) {
			require_once '../../../../init.php';
		}

		if (file_exists(dirname(__DIR__) . '/classes/class.php')) {
			require_once dirname(__DIR__) . '/classes/class.php';
		}

		$params = array('configoption1' => $_POST['apiurl'], 'configoption2' => $_POST['apikey']);
		$Linodes = new Linodes($params);
		$updateDisk = $Linodes->updateDisk($_POST);
		if (isset($updateDisk['ERRORARRAY']) && !empty($updateDisk['ERRORARRAY'][0]['ERRORCODE'])) {
			$status = array('status' => 'error', 'msg' => '<div class="alert alert-danger">ERRORCODE: ' . $updateDisk['ERRORARRAY'][0]['ERRORCODE'] . ' | ERRORMESSAGE: ' . $updateDisk['ERRORARRAY'][0]['ERRORMESSAGE'] . '</div>');
		}
		else {
			$status = array('status' => 'success', 'msg' => '<div class="alert alert-success">Your disk has been successfully Updated.</div>');
		}

		print_r(json_encode($status));
		exit();
		break;

	case 'resizedisk':
		if (file_exists('../../../../init.php')) {
			require_once '../../../../init.php';
		}

		if (file_exists(dirname(__DIR__) . '/classes/class.php')) {
			require_once dirname(__DIR__) . '/classes/class.php';
		}

		$params = array('configoption1' => $_POST['apiurl'], 'configoption2' => $_POST['apikey']);
		$Linodes = new Linodes($params);
		$getDiskList = $Linodes->getDiskList($_POST['linodeid'], $_POST['diskid']);
		$size = '';

		foreach ($getDiskList['DATA'] as $key => $value) {
			$size = $size + $value['SIZE'];

			if ($value['DISKID'] == $_POST['diskid']) {
				$currentSize = $value['SIZE'];
			}
		}

		$remainsize = $_POST['totalhd'] - $size;
		$usingSize = $currentSize + $remainsize;

		if (!empty($_POST['size'])) {
			if ($_POST['size'] <= $usingSize) {
				if ($Linodes->getList($_POST['linodeid'])['DATA'][0]['STATUS'] != 2) {
					$shutdownLinode = $Linodes->shutdownLinode($_POST['linodeid']);

					while ($Linodes->getList($_POST['linodeid'])['DATA'][0]['STATUS'] == '1') {
						sleep(1);
					}
				}

				$resizeDisk = $Linodes->resizeDisk($_POST);
				if (isset($resizeDisk['ERRORARRAY']) && !empty($resizeDisk['ERRORARRAY'][0]['ERRORCODE'])) {
					$bootLinode = $Linodes->rebootLinode($_POST['linodeid'], $_POST['configid']);
					$status = array('status' => 'error', 'msg' => '<div class="alert alert-danger">ERRORCODE: ' . $resizeDisk['ERRORARRAY'][0]['ERRORCODE'] . ' | ERRORMESSAGE: ' . $resizeDisk['ERRORARRAY'][0]['ERRORMESSAGE'] . '</div>');
				}
				else {
					$bootLinode = $Linodes->rebootLinode($_POST['linodeid'], $_POST['configid']);
					$status = array('status' => 'success', 'msg' => '<div class="alert alert-success">Your disk has been successfully resized.</div>');
				}
			}
			else {
				$status = array('status' => 'error', 'msg' => '<div class="alert alert-warning">Enter a new size between 1 and ' . $usingSize . ' to resize this disk.</div>');
			}
		}
		else {
			$status = array('status' => 'error', 'msg' => '<div class="alert alert-danger">Error: Size is required.</div>');
		}

		print_r(json_encode($status));
		exit();
		break;

	case 'rebuild':
		if (file_exists('../../../../init.php')) {
			require_once '../../../../init.php';
		}

		if (file_exists(dirname(__DIR__) . '/classes/class.php')) {
			require_once dirname(__DIR__) . '/classes/class.php';
		}

		$params = array('configoption1' => $_POST['apiurl'], 'configoption2' => $_POST['apikey'], 'serviceid' => $_POST['serviceid']);
		$Linodes = new Linodes($params);
		$csFiledLinodeId = $Linodes->checkCsfield('Linode Id', $_POST['pid']);
		$csFiledSwapDiskId = $Linodes->checkCsfield('Swap Disk Id', $_POST['pid']);
		$csFiledDiskId = $Linodes->checkCsfield('Disk Id', $_POST['pid']);
		$csFiledConfigId = $Linodes->checkCsfield('Config Id', $_POST['pid']);
		$csFiledDistrubution = $Linodes->checkCsfield('Distrubution', $_POST['pid']);
		$addonSetting = $Linodes->getAddonSetting($_POST['pid']);
		$datacenterArr = explode(',', $addonSetting['result']['datacenters']);
		$datacenters = array();

		foreach ($datacenterArr as $key => $value) {
			$dCentersArr = explode('|', $value);

			if ($_POST['datacenter'] == str_replace('-', ' ', $dCentersArr[1])) {
				$datacenterId = $dCentersArr[0];
			}
		}

		$paymentTerm = $_POST['paymentterm'];
		$planId = $addonSetting['result']['plan_id'];
		$templateId = $_POST['tempid'];
		$templateLabel = $_POST['temlabel'];
		$linodeId = $_POST['linodeid'];

		if ($Linodes->getList($linodeId)['DATA'][0]['STATUS'] != 2) {
			$shutdownLinode = $Linodes->shutdownLinode($linodeId);

			while ($Linodes->getList($linodeId)['DATA'][0]['STATUS'] == '1') {
				sleep(1);
			}
		}

		$getDiskList = $Linodes->getDiskList($linodeId);

		foreach ($getDiskList['DATA'] as $key => $disk) {
			$deleteDisk = $Linodes->deleteDisk($linodeId, $disk['DISKID']);
		}

		while (!empty($Linodes->getDiskList($linodeId)['DATA'])) {
			sleep(1);
		}

		$getConfigList = $Linodes->getConfigList($linodeId);

		foreach ($getConfigList['DATA'] as $key => $config) {
			$deleteConfig = $Linodes->deleteConfig($linodeId, $config['ConfigID']);
		}

		while (!empty($Linodes->getConfigList($linodeId)['DATA'])) {
			sleep(1);
		}

		$diskLimit = $_POST['disklimit'];
		$diskSize = ((int) $addonSetting['result']['disk'] * 1024) - (int) $diskLimit;
		$createDisk = $Linodes->createDisk($linodeId, $templateId, $templateLabel, $diskSize, $_POST['rootpw']);
		if (isset($createDisk['ERRORARRAY']) && !empty($createDisk['ERRORARRAY'][0]['ERRORCODE'])) {
			$err .= '<li>ERRORCODE: ' . $createDisk['ERRORARRAY'][0]['ERRORCODE'] . ' | ERRORMESSAGE: ' . $createDisk['ERRORARRAY'][0]['ERRORMESSAGE'] . '</li>';
		}
		else {
			$diskId = $createDisk['DATA']['DiskID'];
			$updateDiskId = $Linodes->updateWhmcsProduct($params, $diskId, $csFiledDiskId);
			$updateDistribution = $Linodes->updateWhmcsProduct($params, $templateLabel, $csFiledDistrubution);
			$success .= '<li>Main disk created successfully.</li>';
		}

		$createSwapDisk = $Linodes->createSwapDisk($linodeId, 'Swap', 'swap', $diskLimit);
		$err = '';
		$success = '';
		if (isset($createSwapDisk['ERRORARRAY']) && !empty($createSwapDisk['ERRORARRAY'][0]['ERRORCODE'])) {
			$err .= '<li>ERRORCODE: ' . $createSwapDisk['ERRORARRAY'][0]['ERRORCODE'] . ' | ERRORMESSAGE: ' . $createSwapDisk['ERRORARRAY'][0]['ERRORMESSAGE'] . '</li>';
		}
		else {
			$swapId = $createSwapDisk['DATA']['DiskID'];
			$updateSwapId = $Linodes->updateWhmcsProduct($params, $swapId, $csFiledSwapDiskId);
			$success .= '<li>Swap disk created successfully.</li>';
		}

		if ($diskId || $swapId) {
			$createLinodeConfig = $Linodes->createLinodeConfig($linodeId, $addonSetting['result']['kernal'], $templateLabel . ' Profile', $diskId . ',' . $swapId . ',,,,,,,');
			if (isset($createLinodeConfig['ERRORARRAY']) && !empty($createLinodeConfig['ERRORARRAY'][0]['ERRORCODE'])) {
				$err .= '<li>ERRORCODE: ' . $createLinodeConfig['ERRORARRAY'][0]['ERRORCODE'] . ' | ERRORMESSAGE: ' . $createLinodeConfig['ERRORARRAY'][0]['ERRORMESSAGE'] . '</li>';
			}
			else {
				$configId = $createLinodeConfig['DATA']['ConfigID'];
				$updateConfigkId = $Linodes->updateWhmcsProduct($params, $configId, $csFiledConfigId);
				$success .= '<li>Configuration file created successfully.</li>';
			}
		}

		$bootLinode = $Linodes->bootLinode($linodeId, $configId);
		if (isset($bootLinode['ERRORARRAY']) && !empty($bootLinode['ERRORARRAY'][0]['ERRORCODE'])) {
			$err .= '<li>ERRORCODE: ' . $bootLinode['ERRORARRAY'][0]['ERRORCODE'] . ' | ERRORMESSAGE: ' . $bootLinode['ERRORARRAY'][0]['ERRORMESSAGE'] . '</li>';
		}
		else {
			$success .= '<li>Server rebuild successfully.</li>';
		}

		if (!empty($err)) {
			$status = array('status' => 'error', 'msg' => '<div class="alert alert-danger"><ul>' . $err . '</ul></div>');
		}
		else {
			$status = array('status' => 'success', 'msg' => '<div class="alert alert-success"><ul>' . $success . '</ul></div>');
		}

		print_r(json_encode($status));
		exit();
	}
}

?>
