<!-- {debug} -->

<script type="text/javascript" language="javascript" src="modules/servers/linodes/js/smoke/smoke.js"></script>
<script type="text/javascript" language="javascript" src="modules/servers/linodes/js/smoke/smoke.min.js"></script>
<link href="modules/servers/linodes/css/style.css" rel="stylesheet">
<link rel="stylesheet" href="modules/servers/linodes/css/smoke.css">
<script type="text/javascript" src="modules/servers/linodes/js/jquery.js"></script>
{literal}<script type="text/javascript">checkLinodeStatus('{/literal}{$linodeId}', '{$moduledata.configoption1}', '{$moduledata.configoption2}{literal}');</script>{/literal}
{if $error}
    <div class="alert alert-danger text-center" >
        {$error}
    </div>
{/if}
<div id="loaderabckground" style="display: none;"></div>
<div id="serverloader" style="display: none;"><img src="modules/servers/linodes/images/loading.gif"></div>
<div id="wrapper">
    <section class="manage_content"><!-- maincontent starts -->
        <div class="row"><!-- row starts -->

            <div class="clearfix"></div>
            <div class="col-lg-12 col-md-12 col-sm-12"><!-- col-12 starts -->
                <div class="manage_tab_sec">
                    <ul class="manage_tab_menu">
                        <li>
                            <a href="javascript:void(0);" onclick="linodeDetail(this);" class="selected"><i class="m_detail"></i>
                                <p>Details</p>
                            </a>
                        </li>
                        <li>
                            <a href="javascript:void(0);"  onclick="linodeUsage(this);"><i class="m_us"></i>
                                <p>Usage</p>
                            </a>
                        </li>
                        <li>
                            <a href="javascript:void(0);" onclick="linodePower(this);"><i class="m_pwr"></i>
                                <p>Power</p>
                            </a>
                        </li>
                        <li>
                            <a href="javascript:void(0);" onclick="linodeUpdate(this);"><i class="m_ftp"></i>
                                <p>Update</p>
                            </a>
                        </li>
                        <li>
                            <a href="javascript:void(0);" onclick="linodeLog(this);"><i class="m_stst"></i>
                                <p>Log</p>
                            </a>
                        </li>
                    </ul>
                    <div class="clearfix"></div>


                    <!-- Detail Section Start Here -->
                    <div class="power_sec" id="detailSec">
                        <div class="row">
                            <div class="col-md-12">
                                <div class="tabbable ">
                                    <div class="manage_tab_content">
                                        <div class="tab_row"><strong>Status</strong><span id="linodeStatus">{if $linodelist.STATUS eq 1}Running{elseif $linodelist.STATUS eq 2}Shutdown{elseif $linodelist.STATUS eq 0}Brand New{elseif $linodelist.STATUS eq -1}Being Created{/if}</span></div>
                                        <div class="tab_row"><strong>Name</strong><span id="linodeLabel">{$linodelist.LABEL}</span></div>
                                        <div class="tab_row"><strong>Datacenter</strong><span> {$moduleParams.customfields.Datacenter|replace:' ':', '}</span></div>
                                        <div class="tab_row"><strong>IP Address</strong><span>{$iplist.IPADDRESS}</span></div>
                                        <div class="tab_row"><strong>Reverse DNS</strong><span>{if $ipfromadmin eq ''}{$iplist.RDNS_NAME}{else}{$ipfromadmin}{/if}</span></div>
                                        <div class="tab_row"><strong>OS </strong><span>{$configlist.DATA.0.Label|replace:' Profile':''}  <!-- {$moduleParams.customfields.Distrubution} --></span></div>
                                        <!--  <div class="tab_row"><strong>Reverse</strong><span>fourfusion.net.</span></div>
                                         <div class="tab_row"><strong>Monitoring</strong><span> Disabled</span></div>
                                         <div class="tab_row"><strong>Link Speed</strong><span> 1000</span></div> -->
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <!-- Detail Section End Here -->

                    <!-- Usage Section Start Here -->
                    <div class="power_sec" id="usageSec" style="display:none;">
                        <div class="row">
                            <div class="manage_tab_content">
                                <div class="manage_heading">
                                    <h2>Disks</h2>
                                </div>
                                <div class="m_detail_cont">
                                    {$usedDisk = ''} 
                                    {foreach from=$disklist.DATA key=num item=d_list}
                                        <p><strong>Disk{math equation="x + y" x=1 y=$num}:</strong> {$d_list.LABEL} ({$d_list.SIZE}MB, {$d_list.TYPE})</p>

                                        {$usedDisk = $usedDisk+$d_list.SIZE} 
                                    {/foreach}
                                    <p><strong>Total:</strong> {$linodelist.TOTALHD} MB</p> 
                                    <p><strong>Used:</strong> {$usedDisk} MB</p>
                                    <p><strong>Free:</strong> {math equation="x - y" x=$linodelist.TOTALHD y=$usedDisk} MB</p> 
                                </div>
                                <div class="tab_row ftp_row"><strong><i><img src="modules/servers/linodes/images/gb-icon.png" alt=""></i>
                                            {math assign="percentage" equation="floor((x / y) * 100)" x=$usedDisk y=$linodelist.TOTALHD format="%.2f"}
                                        <p>{$linodelist.TOTALHD}MB</p>
                                    </strong>
                                    <span> <b>Disk</b>
                                        <div class="progress">
                                            <div style="width: {$percentage|replace:'.00':''}%;" class="progress-bar progress-success"></div>
                                        </div>
                                        <small>{$linodelist.TOTALHD}MB of {$usedDisk}MB Used</small>
                                    </span>
                                </div>
                            </div>
                        </div>
                    </div>

                    <!-- Usage Section End Here -->

                    <!-- Power Section Start Here-->
                    <div class="power_sec" id="powerSec" style="display:none;">
                        <div class="row">
                            <div class="col-md-12">
                                <div class="tabbable " id="tabs-577515">
                                    <ul class="nav nav-tabs power_tab" id="power_tab">
                                        <li class="active"> <a href="javascript:void(0);" onclick="toggleSec(this, 'rebootSec');">Reboot </a> </li>
                                        <li> <a href="javascript:void(0);"  onclick="toggleSec(this, 'shutdownSec');">Shutdown</a> </li>
                                        <li> <a href="javascript:void(0);"  onclick="toggleSec(this, 'bootSec');">Boot </a> </li>
                                        <li> <a href="javascript:void(0);"  onclick="toggleSec(this, 'rebuildSec');">Rebuild OS </a> </li>
                                        <!-- <li> <a href="#panel-523219 " data-toggle="tab">Power Off</a> </li> -->
                                    </ul>
                                    <div id="powerstatus"></div>
                                    <div class="tab-content manage_tab_content m_power">
                                        <div class="tab-pane active" id="rebootSec">
                                            <p> This will reboot your server.<br>
                                                It can take up to few seconds to reboot depending on the operating system installed.<br>
                                                You can see your server status in detail tab.<br>
                                                Do you want to proceed?<br>
                                                <!-- <img src="images/m_tik.jpg" width="15" height="15" alt=""> Send me an email when the reboot is complete. -->
                                            </p>

                                            <a href="javascript:void(0);" class="reb_btn" onclick="rebootLinode(this, '{$linodeId}', '{$configId}', '{$moduledata.configoption1}', '{$moduledata.configoption2}', '{$serviceid}');">Reboot</a>
                                        </div>


                                        <div class="tab-pane " id="shutdownSec">
                                            <p> This will shutdown your server.<br>
                                                It can take up to few seconds to shutdown depending on the operating system installed.<br>
                                                You can see your server status in detail tab.<br>
                                                Do you want to proceed?<br>
                                                <!-- <img src="images/m_tik.jpg" width="15" height="15" alt=""> Send me an email when the reboot is complete. -->
                                            </p>
                                            <a href="javascript:void(0);" class="reb_btn" onclick="shutdownLinode(this, '{$linodeId}', '{$moduledata.configoption1}', '{$moduledata.configoption2}', '{$serviceid}');">Shutdown</a>
                                        </div>


                                        <div class="tab-pane " id="bootSec">
                                            <p> This will boot your server.<br>
                                                It can take up to few seconds to boot depending on the operating system installed.<br>
                                                You can see your server status in detail tab.<br>
                                                Do you want to proceed?<br>
                                                <!-- <img src="images/m_tik.jpg" width="15" height="15" alt=""> Send me an email when the reboot is complete. -->
                                            </p>
                                            <a href="javascript:void(0);" class="reb_btn" onclick="bootLinode(this, '{$linodeId}', '{$configId}', '{$moduledata.configoption1}', '{$moduledata.configoption2}', '{$serviceid}');">Boot</a>
                                        </div>

                                        <!-- Rebuild OS -->

                                        <div class="tab-pane " id="rebuildSec">
                                            <p> This will rebuild your server.<br>
                                                It can take up to minimum <strong>1 minute</strong> to rebuild depending on the operating system installed.<br>
                                                Do you want to proceed?<br><br>
                                                <!-- <img src="images/m_tik.jpg" width="15" height="15" alt=""> Send me an email when the reboot is complete. -->
                                            </p>
                                            <form id="rebuildosform" onsubmit="return false;">
                                                <input type="hidden" name="linodeid" value="{$linodeId}">
                                                <input type="hidden" name="apiurl" value="{$moduledata.configoption1}">
                                                <input type="hidden" name="apikey" value="{$moduledata.configoption2}">
                                                <input type="hidden" name="customaction" value="rebuild">
                                                <input type="hidden" name="pid" value="{$moduledata.pid}">
                                                <input type="hidden" name="paymentterm" value="{$moduleParams.configoption3}">
                                                <input type="hidden" name="disklimit" value="{$moduleParams.configoption4}">
                                                <input type="hidden" name="rootpw" value="{$rootpw}">
                                                <input type="hidden" name="datacenter" value="{$moduleParams.customfields.Datacenter}">
                                                <div class="col-sm-12">
                                                    <div class="col-sm-4">
                                                        <div class="form-group">
                                                            Choose new OS template
                                                        </div>
                                                    </div>
                                                    <div class="col-sm-4">
                                                        <div class="form-group" class="form-control" >
                                                            <select class="form-control" id="ostemplate" name="tempid">
                                                                {foreach from=$ostemplates key=num item=templates}
                                                                    <option value="{$templates.id}" {if $configlist.DATA.0.Label|replace:' Profile':'' eq $templates.template}selected="selected" {/if}>{$templates.template}</option>
                                                                {/foreach}
                                                                }
                                                            </select>
                                                        </div>
                                                    </div>
                                                    <div class="col-sm-4">
                                                        <div class="form-group">
                                                            <a class="reb_btn" href="javascript:void(0);" onclick="rebuildOs(this, '{$serviceid}');">Rebuild OS</a>
                                                        </div>
                                                    </div>
                                                </div>                                                
                                                <div class="col-sm-12"><p style="color: #ff0000;">Rebuild the OS will destroy all data on the machine.</p></div>

                                            </form>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <!-- Power Section End Here -->

                    <!-- Update Section Start Here -->

                    <div class="power_sec" id="updateSec" style="display:none;">
                        <div class="row">
                            <div class="col-md-12">
                                <div class="tabbable " id="tabs-577515">
                                    <ul class="nav nav-tabs power_tab" id="update_tab">
                                        <li class="active"> <a href="javascript:void(0);" onclick="toggleUpdateSec(this, 'updateServer');">Update Server </a> </li>
                                        <li> <a href="javascript:void(0);"  onclick="toggleUpdateSec(this, 'updateDisk');">Update Disk</a> </li>
                                        <li> <a href="javascript:void(0);"  onclick="toggleUpdateSec(this, 'resizeDisk');">Resize Disk </a> </li>
                                        <!-- <li> <a href="#panel-523219 " data-toggle="tab">Power Off</a> </li> -->
                                    </ul>
                                    <div id="updatestatus"></div>
                                    <!-- update server start -->
                                    <div class="manage_tab_content updateContainer" id="updateServer">
                                        <div class="manage_heading">
                                            <h2>Server Update</h2>
                                        </div>
                                        <div class="m_detail_cont tab-content manage_tab_content m_power">
                                            <form id="updatelinode" onsubmit="return false;">
                                                <input type="hidden" name="linodeid" value="{$linodeId}">
                                                <input type="hidden" name="apiurl" value="{$moduledata.configoption1}">
                                                <input type="hidden" name="apikey" value="{$moduledata.configoption2}">
                                                <input type="hidden" name="customaction" value="update">

                                                <div class="col-sm-6">                                        
                                                    <div class="form-group">
                                                        <p>Enable cpu usage email alert</p>
                                                        <label class="radio-inline">
                                                            <input type="radio" name="cpu_alert" value="1" {if $linodelist.ALERT_CPU_ENABLED eq 1}checked="checked"{/if}>Yes
                                                        </label>
                                                        <label class="radio-inline">
                                                            <input type="radio" name="cpu_alert" value="0"  {if $linodelist.ALERT_CPU_ENABLED eq 0}checked="checked"{/if}>No
                                                        </label>
                                                    </div>
                                                    <div class="form-group">
                                                        <p>Enable disk IO email alert</p>
                                                        <label class="radio-inline">
                                                            <input type="radio" name="io_alert" value="1" {if $linodelist.ALERT_DISKIO_ENABLED eq 1}checked="checked"{/if}>Yes
                                                        </label>
                                                        <label class="radio-inline">
                                                            <input type="radio" name="io_alert" value="0"  {if $linodelist.ALERT_DISKIO_ENABLED eq 0}checked="checked"{/if}>No
                                                        </label>
                                                    </div>
                                                    <div class="form-group">
                                                        <p>Enable incoming bandwidth email alert</p>
                                                        <label class="radio-inline">
                                                            <input type="radio" name="in_bwi_alert" value="1" {if $linodelist.ALERT_BWIN_ENABLED eq 1}checked="checked"{/if}>Yes
                                                        </label>
                                                        <label class="radio-inline">
                                                            <input type="radio" name="in_bwi_alert" value="0" {if $linodelist.ALERT_BWIN_ENABLED eq 0}checked="checked"{/if}>No
                                                        </label>
                                                    </div>
                                                    <div class="form-group">
                                                        <p>Enable outgoing bandwidth email alert</p>
                                                        <label class="radio-inline">
                                                            <input type="radio" name="out_bwi_alert" value="1" {if $linodelist.ALERT_BWOUT_ENABLED eq 1}checked="checked"{/if}>Yes
                                                        </label>
                                                        <label class="radio-inline">
                                                            <input type="radio" name="out_bwi_alert" value="0" {if $linodelist.ALERT_BWOUT_ENABLED eq 0}checked="checked"{/if}>No
                                                        </label>
                                                    </div>
                                                    <div class="form-group">
                                                        <p>Enable bandwidth quote email alert</p>
                                                        <label class="radio-inline">
                                                            <input type="radio" name="qut_bwi_alert" value="1" {if $linodelist.ALERT_BWQUOTA_ENABLED eq 1}checked="checked"{/if}>Yes
                                                        </label>
                                                        <label class="radio-inline">
                                                            <input type="radio" name="qut_bwi_alert" value="0" {if $linodelist.ALERT_BWQUOTA_ENABLED eq 0}checked="checked"{/if}>No
                                                        </label>
                                                    </div>
                                                </div>
                                                <div class="col-sm-6"> 
                                                    <div class="form-group">
                                                        <p>Label</p>
                                                        <input type="text" class="form-control" value="{$linodelist.LABEL}" id="label" name="label">
                                                    </div>  
                                                    <div class="form-group">
                                                        <p>CPU Alert threshold, percentage 0-800</p>
                                                        <input type="text" class="form-control" value="{$linodelist.ALERT_CPU_THRESHOLD}" id="cpu_threshold" name="cpu_threshold">
                                                    </div>                                     
                                                    <div class="form-group">
                                                        <p>Disk threshold IO</p>
                                                        <input type="text" class="form-control" value="{$linodelist.ALERT_DISKIO_THRESHOLD}" id="io_ops" name="io_ops">
                                                    </div>
                                                    <div class="form-group">
                                                        <p>Incoming bandwidth threshold</p>
                                                        <input type="text" class="form-control" value="{$linodelist.ALERT_BWIN_THRESHOLD}" id="in_bw_threshold" name="in_bw_threshold">
                                                    </div>
                                                    <div class="form-group">
                                                        <p>Outgoing bandwidth threshold</p>
                                                        <input type="text" class="form-control" value="{$linodelist.ALERT_BWOUT_THRESHOLD}" id="out_bw_threshold" name="out_bw_threshold">
                                                    </div>
                                                    <div class="form-group">
                                                        <p>Bandwidth quota threshold</p>
                                                        <input type="text" class="form-control" value="{$linodelist.ALERT_BWQUOTA_THRESHOLD}" id="bw_qut_threshold" name="bw_qut_threshold">
                                                    </div>
                                                </div>
                                                <p> Label may only contain ASCII letters or numbers, dashes, and underscores, must begin and end with letters or numbers, and be at least three characters in length.<br>
                                                    All threshold valus must be numeric.<br>
                                                </p>
                                                <a class="reb_btn" href="javascript:void(0);" onclick="updateLinode(this);">Update</a>
                                            </form>
                                        </div>
                                    </div>
                                </div>
                                <!-- update server end -->
                                <!-- Update Disk start -->
                                <div class="manage_tab_content updateContainer" id="updateDisk" style="display: none;">
                                    <div class="manage_heading">
                                        <h2>Disk Update</h2>
                                    </div>
                                    <div class="m_detail_cont tab-content manage_tab_content m_power">

                                        <div class="col-sm-12">
                                            <div class="col-sm-4">
                                                <label>
                                                    Read Only
                                                </label>
                                            </div>
                                            <div class="col-sm-5">
                                                <label>
                                                    Disk Label
                                                </label>
                                            </div>
                                            <div class="col-sm-3">
                                                <label>
                                                    &nbsp;
                                                </label>
                                            </div>
                                        </div>

                                        {foreach from=$disklist.DATA key=num item=disk}
                                            <div class="col-sm-12">
                                                <form id="updatedisk_{$num}" onsubmit="return false;">
                                                    <input type="hidden" name="linodeid" value="{$linodeId}">
                                                    <input type="hidden" name="diskid" value="{$disk.DISKID}">
                                                    <input type="hidden" name="apiurl" value="{$moduledata.configoption1}">
                                                    <input type="hidden" name="apikey" value="{$moduledata.configoption2}">
                                                    <input type="hidden" name="customaction" value="updatedisk">
                                                    <div class="col-sm-5">
                                                        <div class="form-group">
                                                            <label class="radio-inline">
                                                                <input type="radio" name="readonly" value="1" {if $disk.ISREADONLY eq 1}checked="checked"{/if}>Yes
                                                            </label>
                                                            <label class="radio-inline">
                                                                <input type="radio" name="readonly" value="0"  {if $disk.ISREADONLY eq 0}checked="checked"{/if}>No
                                                            </label>
                                                        </div>
                                                    </div>
                                                    <div class="col-sm-4">
                                                        <div class="form-group">
                                                            <input type="text" class="form-control" value="{$disk.LABEL}" id="label_{$num}" name="label">
                                                        </div>
                                                    </div>
                                                    <div class="col-sm-3">
                                                        <div class="form-group">
                                                            <a class="reb_btn" href="javascript:void(0);" onclick="updateDisk(this, '{$serviceid}', '{$num}');">Resize</a>
                                                        </div>
                                                    </div>
                                                </form>
                                            </div>
                                        {/foreach}
                                    </div>
                                </div>
                            </div>

                            <!-- Update disk end -->

                            <!-- resize Disk start -->
                            <div class="manage_tab_content updateContainer" id="resizeDisk" style="display: none;">
                                <div class="manage_heading">
                                    <h2>Resize Disk</h2>
                                </div>
                                <div class="m_detail_cont tab-content manage_tab_content m_power">
                                    <div class="col-sm-12">
                                        <div class="col-sm-5">
                                            <label>
                                                Disks
                                            </label>
                                        </div>
                                        <div class="col-sm-4">
                                            <label>
                                                Size
                                            </label>
                                        </div>
                                        <div class="col-sm-3">
                                            <label>
                                                &nbsp;
                                            </label>
                                        </div>
                                    </div>
                                    {foreach from=$disklist.DATA key=num item=disk}
                                        <div class="col-sm-12">

                                            <div class="col-sm-5">
                                                <div class="form-group">
                                                    {$disk.LABEL}&nbsp;({$disk.SIZE}MB)
                                                </div>
                                            </div>
                                            <div class="col-sm-4">
                                                <div class="form-group">
                                                    <input type="text" class="form-control" value="{$disk.SIZE}" id="size_{$num}" name="size">
                                                </div>
                                            </div>
                                            <div class="col-sm-3">
                                                <div class="form-group">
                                                    <a class="reb_btn" href="javascript:void(0);" onclick="resizeDisk(this, '{$serviceid}', '{$linodeId}', '{$disk.DISKID}', '{$moduledata.configoption1}', '{$moduledata.configoption2}', '{$num}', '{$linodelist.TOTALHD}', '{$configId}');">Resize</a>
                                                </div>
                                            </div>
                                        </div>
                                    {/foreach}
                                    <div class="col-sm-12">
                                        <div class="col-sm-4"><p><strong>Total:</strong> {$linodelist.TOTALHD} MB</p></div>
                                        <div class="col-sm-4"><p><strong>Allocated:</strong> {$usedDisk} MB</p></div>
                                        <div class="col-sm-4"><p><strong>Free:</strong> {math equation="x - y" x=$linodelist.TOTALHD y=$usedDisk} MB </p></div>

                                        <div class="col-sm-12"><p style="color: #ff0000;">Linode must be shut down before resize.</p></div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <!-- resize disk end -->
                    </div>
                    <!-- Update Section End Here -->
                    <!-- Log section start here -->
                    <div class="power_sec" id="logSec" style="display:none;">
                        <div class="row">
                            <div class="col-md-12">
                                <div class="tabbable " id="tabs-577515">
                                    <div class="manage_tab_content">
                                        <div class="manage_heading">
                                            <h2>Server activity log</h2>
                                        </div>
                                        <div class="tab-content">
                                            <div class="table-container clearfix">
                                                <table class="table table-list dataTable no-footer dtr-inline" role="grid">
                                                    <thead>
                                                        <tr role="row">
                                                            <th>Id</th>
                                                            <th>Action</th>
                                                            <th>Date</th>
                                                            <th>LABEL</th>
                                                            <th>Message</th>
                                                            <th>Status</th>
                                                        </tr>
                                                    </thead>
                                                    <tbody>   
                                                        {foreach from=$joblist.DATA key=num item=list}                                         
                                                            <tr role="row" class="odd">
                                                                <td>{$list.LINODEID}</td>
                                                                <td>{$list.LABEL}</td>
                                                                <td>{$list.ENTERED_DT}</td>
                                                                <td>{$list.LABEL}</td>
                                                                <td>{$list.HOST_MESSAGE}</td>
                                                                <td><strong>{if $list.HOST_SUCCESS eq 1}Success{else}Failed{/if}</strong></td>
                                                            </tr>
                                                        {/foreach}
                                                    </tbody>                                
                                                </table>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <!-- Log section end here -->
                </div>
            </div>
            <!-- col-12 ends--> 

        </div>
        <!-- row  ends --> 

    </section>
    <!-- maincontent ends --> 

</div>
