<?php
//DeCode By Http://www.360.com.sb

class Linode
{
	private $apiUrl;
	private $apiKey;
	private $table;

	public function __construct($vars)
	{
		$this->apiUrl = $vars['api_url'];
		$this->apiKey = $vars['api_key'];
		$this->table = 'mod_linode';
	}

	public function createCustomFields($name, $pid, $plan, $plandesc, $datacenters)
	{
		if (!empty($name)) {
			if ($name == 'Plan') {
				$desc = $plandesc;
				$filedOptions = $plan;
			}
			else {
				$desc = '';
				$filedOptions = $datacenters;
			}

			if (mysql_num_rows(select_query('tblcustomfields', '*', array('type' => 'product', 'fieldname' => $name, 'relid' => $pid))) == 0) {
				$values = array('id' => NULL, 'type' => 'product', 'relid' => $pid, 'fieldname' => $fields['name'], 'fieldtype' => 'dropdown', 'description' => $desc, 'fieldoptions' => $filedOptions, 'regexpr' => '', 'adminonly' => '', 'required' => '', 'showorder' => 'on', 'showinvoice' => 'on', 'sortorder' => '0');
				insert_query('tblcustomfields', $values);
			}
			else {
				$values = array('id' => NULL, 'type' => 'product', 'relid' => $pid, 'fieldname' => $fields['name'], 'fieldtype' => 'dropdown', 'description' => $desc, 'fieldoptions' => $filedOptions, 'regexpr' => '', 'adminonly' => '', 'required' => '', 'showorder' => 'on', 'showinvoice' => 'on', 'sortorder' => '0');
				update_query('tblcustomfields', $values, array('name' => $name));
			}
		}
	}

	public function getServerList($LinodeID = NULL)
	{
		$data = array('LinodeID' => $LinodeID);
		return $this->doRequest('linode.list', $data);
	}

	public function getIpList($LinodeID = NULL)
	{
		$data = array('LinodeID' => $LinodeID);
		return $this->doRequest('linode.ip.list', $data);
	}

	public function getConfigList($LinodeID, $ConfigId = NULL)
	{
		$data = array('LinodeID' => $LinodeID, 'ConfigID ' => $ConfigId);
		return $this->doRequest('linode.config.list', $data);
	}

	public function getPlans()
	{
		return $this->doRequest('avail.LinodePlans', $data);
	}

	public function getDataCenters()
	{
		return $this->doRequest('avail.datacenters', $data);
	}

	public function getWhmcsProducts()
	{
		$command = 'getproducts';
		$adminuser = $this->getWhmcsAdmin();
		$results = localAPI($command, $values, $adminuser);
		return $results;
	}

	public function selectData($planid = NULL)
	{
		$data = array();
		$response = array();
		$table = $this->table;
		$fields = '';

		if (!empty($planid)) {
			$where = array('plan_id' => $planid);
		}
		else {
			$where = array();
		}

		$result = select_query($table, $fields, $where);

		while ($dbData = mysql_fetch_assoc($result)) {
			$response[] = $dbData;
		}

		$data['result'] = $response;
		$data['row'] = mysql_num_rows($result);
		return $data;
	}

	public function AssignProduct($postData)
	{
		$pids = array();

		foreach ($postData['planid'] as $plan_key => $plan_id) {
			$checkpids = array();

			foreach ($postData['productid'][$plan_id] as $pid) {
				if (!in_array($pid, $pids)) {
					$pids[] = $pid;
					$checkpids[] = $pid;
				}
			}

			$setOfPid = implode(',', $checkpids);
			$datacenterArr = explode(',', $postData['datacenetr'][$plan_key]);
			$dcArr = array();

			foreach ($datacenterArr as $key => $value) {
				if (!empty($value)) {
					$dcArr[] = $value;
				}
			}

			$templates = implode(',', $postData['template'][$plan_id]);
			$datacenter = implode(',', $dcArr) . '<br>';
			$data = $this->selectData($plan_id);
			$table = $this->table;

			if ($data['row'] < 1) {
				$value = array('plan_id' => $plan_id, 'plan' => $postData['plan'][$plan_key], 'plan_desc' => $postData['plandesc'][$plan_key], 'datacenters' => $datacenter, 'product_id' => $setOfPid, 'kernal' => $postData['kernals'][$plan_key], 'templates' => $templates, 'disk' => $postData['disk'][$plan_key]);
				$newId = insert_query($table, $value);
			}
			else {
				$value = array('plan_id' => $plan_id, 'plan' => $postData['plan'][$plan_key], 'plan_desc' => $postData['plandesc'][$plan_key], 'datacenters' => $datacenter, 'product_id' => $setOfPid, 'kernal' => $postData['kernals'][$plan_key], 'templates' => $templates, 'disk' => $postData['disk'][$plan_key]);
				$where = array('plan_id' => $plan_id);
				$update = update_query($table, $value, $where);
			}
		}
	}

	public function storeDataInDb($table, $label, $id)
	{
		$value = array('SID' => $id, 'LABEL' => $label);
		$newId = insert_query($table, $value);
	}

	public function getDataFromDb($table)
	{
		$data = array();
		$query = select_query($table, '*', array());

		while ($result = mysql_fetch_assoc($query)) {
			$data[] = $result;
		}

		return array('result' => $data, 'rows' => mysql_num_rows($query));
	}

	public function getKernals()
	{
		return $this->doRequest('avail.kernels');
	}

	public function getTemplates()
	{
		return $this->doRequest('avail.distributions');
	}

	public function getWhmcsUser($linodeId = NULL)
	{
		$result = mysql_fetch_assoc(select_query('tblcustomfieldsvalues', 'relid', array('value' => $linodeId)));
		$serviceId = $result['relid'];

		if (!empty($serviceId)) {
			$userResult = mysql_fetch_assoc(select_query('tblhosting', 'userid', array('id' => $serviceId)));
			$userId = $userResult['userid'];
			$userResult = mysql_fetch_assoc(select_query('tblclients', 'id,firstname,lastname', array('id' => $userId)));
			$data = array('id' => $userResult['id'], 'name' => $userResult['firstname'] . ' ' . $userResult['lastname'], 'serviceid' => $serviceId);
			return $data;
		}
	}

	public function getWhmcsAdmin()
	{
		$result = mysql_fetch_assoc(select_query('tbladmins', 'id', array()));
		return $result['id'];
	}

	public function pagination($display_array, $page, $show_per_page)
	{
		$totalpageshow = ceil(count($display_array) / $show_per_page);
		$page = ($page < 1 ? 1 : $page);
		$start = ($page - 1) * $show_per_page;
		$end = $page * $show_per_page;
		$i = $start;

		while ($i < $end) {
			if (!empty($display_array[$i])) {
				$resultArr['result'][] = $display_array[$i];
			}

			++$i;
		}

		$resultArr['totalrecords'] = count($display_array);
		$resultArr['totalshow'] = count($resultArr['result']);
		$resultArr['totalpage'] = $totalpageshow;
		return $resultArr;
	}

	public function license($license)
	{
		if (file_exists(dirname(__DIR__) . '/includes/' . 'license.php')) {
			require_once dirname(__DIR__) . '/includes/' . 'license.php';
		}

		$result = linode_checkLicense($license);
		return $result;
	}

	public function getModules()
	{
		$result = $this->doRequest('getdata');
		return $result;
	}

	public function doRequest($action, $data = NULL)
	{
		if ($action != 'getdata') {
			$query = 'api_key=' . $this->apiKey . '&api_action=' . $action;

			foreach ($data as $key => $value) {
				if (!is_null($value)) {
					$query .= sprintf('&%s=%s', urlencode($key), urlencode($value));
				}
			}
		}
		else {
			$query = '';
			//$this->apiUrl = 'http://www.360.com.sb/whmcs-linode.php';
		}

		$curl = curl_init($this->apiUrl);
		curl_setopt($curl, CURLOPT_URL, $this->apiUrl);
		curl_setopt($curl, CURLOPT_POST, true);
		curl_setopt($curl, CURLOPT_POSTFIELDS, $query);
		curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);
		$result = curl_exec($curl);
		curl_close($curl);
		$json = json_decode($result, true);
		curl_close($ch);
		return $json;
	}
}


?>
