<?php
//DeCode By Http://www.360.com.sb

function linode_config()
{
	$configarray = array(
		'name'        => 'Linode Product Mapping',
		'description' => 'In this module you can map your product with linode plans',
		'version'     => '1.0',
		'author'      => 'WHMCS GLOBAL SERVICES',
		'language'    => 'english',
		'fields'      => array(
			'api_url'     => array('FriendlyName' => 'API Url', 'Type' => 'text', 'Size' => '40'),
			'api_key'     => array('FriendlyName' => 'API Key', 'Type' => 'text', 'Size' => '50'),
			'license_key' => array('FriendlyName' => 'License Key', 'Type' => 'text', 'Size' => '50')
			)
		);
	return $configarray;
}

function linode_activate()
{
	$query = "CREATE TABLE IF NOT EXISTS `mod_linode` (\r\n\t\t\t\t`id` INT( 10 ) NOT NULL AUTO_INCREMENT PRIMARY KEY ,\r\n\t\t\t\t`plan_id` INT( 50 ) NOT NULL ,\r\n\t\t\t\t`plan` VARCHAR( 255 ) NOT NULL ,\r\n\t\t\t\t`plan_desc` VARCHAR( 555 ) NOT NULL ,\r\n\t\t\t\t`datacenters` VARCHAR( 255 ) NOT NULL ,\r\n\t\t\t\t`product_id` VARCHAR( 255 ) NOT NULL ,\r\n                `kernal` VARCHAR( 255 ) NOT NULL,\r\n                `templates` VARCHAR( 5000 ) NOT NULL,\r\n                `disk` INT( 20 ) NOT NULL\r\n\t\t\t\t) ENGINE = MYISAM";
	$result = mysql_query($query);
	$query = "CREATE TABLE IF NOT EXISTS `mod_linode_kernals` (\r\n\t\t\t\t`id` INT( 10 ) NOT NULL AUTO_INCREMENT PRIMARY KEY ,\r\n\t\t\t\t`SID` INT( 50 ) NOT NULL ,\r\n\t\t\t\t`LABEL` VARCHAR( 500 ) NOT NULL \r\n\t\t\t\t) ENGINE = MYISAM";
	$result = mysql_query($query);
	$query = "CREATE TABLE IF NOT EXISTS `mod_linode_templates` (\r\n\t\t\t\t`id` INT( 10 ) NOT NULL AUTO_INCREMENT PRIMARY KEY ,\r\n\t\t\t\t`SID` INT( 50 ) NOT NULL ,\r\n\t\t\t\t`LABEL` VARCHAR( 500 ) NOT NULL \r\n\t\t\t\t) ENGINE = MYISAM";
	$result = mysql_query($query);
	$query = "CREATE TABLE IF NOT EXISTS `mod_linode_datacenters` (\r\n\t\t\t\t`id` INT( 10 ) NOT NULL AUTO_INCREMENT PRIMARY KEY ,\r\n\t\t\t\t`SID` INT( 50 ) NOT NULL ,\r\n\t\t\t\t`LABEL` VARCHAR( 500 ) NOT NULL\r\n\t\t\t\t) ENGINE = MYISAM";
	$result = mysql_query($query);
	$query = "CREATE TABLE IF NOT EXISTS `mod_linode_license` (\r\n\t\t\t\t`id` INT( 10 ) NOT NULL AUTO_INCREMENT PRIMARY KEY ,\r\n\t\t\t\t`status` VARCHAR( 255 ) NOT NULL\r\n\t\t\t\t) ENGINE = MYISAM";
	$result = mysql_query($query);
	return array('status' => 'success', 'description' => 'Activated successfully.');
}

function linode_deactivate()
{
	$query = 'DROP TABLE `mod_linode`';
	$result = mysql_query($query);
	$query = 'DROP TABLE `mod_linode_kernals`';
	$result = mysql_query($query);
	$query = 'DROP TABLE `mod_linode_templates`';
	$result = mysql_query($query);
	$query = 'DROP TABLE `mod_linode_datacenters`';
	$result = mysql_query($query);
	$query = 'DROP TABLE `mod_linode_license`';
	$result = mysql_query($query);
	return array('status' => 'success', 'description' => 'Activated successfully.');
}

function linode_upgrade($vars)
{
	$version = $vars['version'];

	if ($version < 1) {
		$query = 'ALTER TABLE `mod_linode` ADD `disk` INT( 20 ) NOT NULL ';
		$result = mysql_query($query);
	}
}

function linode_output($vars)
{
	echo '<script type="text/javascript" language="javascript" src="../modules/addons/linode/js/jquery.js"></script>';
	echo '<link rel="stylesheet" type="text/css" href="../modules/addons/linode/css/style.css">';
	echo '<script type="text/javascript" language="javascript" src="../modules/addons/linode/js/jquery.mCustomScrollbar.concat.min.js"></script>';
	echo '<link rel="stylesheet" type="text/css" href="../modules/addons/linode/js/jquery.mCustomScrollbar.css">';
	$modulelink = $vars['modulelink'];
	$LANG = $vars['_lang'];
	$linode = new Linode($vars);

	if ($linode->getDataFromDb('mod_linode_kernals')['rows'] < 1) {
		$getKernals = $linode->getKernals();

		foreach ($getKernals['DATA'] as $k_key => $kernal) {
			$linode->storeDataInDb('mod_linode_kernals', $kernal['LABEL'], $kernal['KERNELID']);
		}
	}

	if ($linode->getDataFromDb('mod_linode_templates')['rows'] < 1) {
		$getTemplates = $linode->getTemplates();

		foreach ($getTemplates['DATA'] as $t_key => $template) {
			$linode->storeDataInDb('mod_linode_templates', $template['LABEL'], $template['DISTRIBUTIONID']);
		}
	}

	if ($linode->getDataFromDb('mod_linode_datacenters')['rows'] < 1) {
		$dataCenters = $linode->getDataCenters();

		foreach ($dataCenters['DATA'] as $d_key => $datacenter) {
			$linode->storeDataInDb('mod_linode_datacenters', $datacenter['LOCATION'], $datacenter['DATACENTERID']);
		}
	}

	if (isset($_REQUEST['action'])) {
		if (file_exists(__DIR__ . '/includes/' . $_REQUEST['action'] . '.php')) {
			require_once __DIR__ . '/includes/' . $_REQUEST['action'] . '.php';
		}
	}
	else {
		if (file_exists(__DIR__ . '/includes/' . 'homepage.php')) {
			require_once __DIR__ . '/includes/' . 'homepage.php';
		}
	}
}

if (!defined('WHMCS')) {
	exit('This file cannot be accessed directly');
}

if (file_exists(__DIR__ . '/classes/class.php')) {
	require_once __DIR__ . '/classes/class.php';
}

?>
