// Linode Detail

function linodeDetail(obj) {
    jQuery('#dataSec, #powerSec, #usageSec, #updateSec, #logSec').css('display', 'none');
    jQuery('.manage_tab_menu li a').removeClass('selected');
    jQuery(obj).addClass('selected');
    jQuery('#detailSec').css('display', 'block');
}

// Linode Data

function linodeData(obj) {
    jQuery('#detailSec, #powerSec, #usageSec, #updateSec, #logSec').css('display', 'none');
    jQuery('.manage_tab_menu li a').removeClass('selected');
    jQuery(obj).addClass('selected');
    jQuery('#dataSec').css('display', 'block');
}

// Linode Power

function linodePower(obj) {
    jQuery('#dataSec, #detailSec, #usageSec, #updateSec, #logSec').css('display', 'none');
    jQuery('.manage_tab_menu li a').removeClass('selected');
    jQuery(obj).addClass('selected');
    jQuery('#powerSec').css('display', 'block');
}

// Linode Usage

function linodeUsage(obj) {
    jQuery('#dataSec, #detailSec, #powerSec, #updateSec, #logSec').css('display', 'none');
    jQuery('.manage_tab_menu li a').removeClass('selected');
    jQuery(obj).addClass('selected');
    jQuery('#usageSec').css('display', 'block');
}

// Update linode

function linodeUpdate(obj) {
    jQuery('#dataSec, #detailSec, #powerSec, #usageSec, #logSec').css('display', 'none');
    jQuery('.manage_tab_menu li a').removeClass('selected');
    jQuery(obj).addClass('selected');
    jQuery('#updateSec').css('display', 'block');
}

// Linode log

function linodeLog(obj) {
    jQuery('#dataSec, #detailSec, #powerSec, #usageSec, #updateSec').css('display', 'none');
    jQuery('.manage_tab_menu li a').removeClass('selected');
    jQuery(obj).addClass('selected');
    jQuery('#logSec').css('display', 'block');
}

// Toggle power section

function toggleSec(obj, id) {
    jQuery('#power_tab li').removeClass('active');
    jQuery(obj).parent().addClass('active');
    jQuery('.m_power .tab-pane').removeClass('active');
    jQuery('#' + id).addClass('active');
}

// Toggle update section

function toggleUpdateSec(obj, id) {
    jQuery('#update_tab li').removeClass('active');
    jQuery(obj).parent().addClass('active');
    jQuery('.updateContainer').css('display', 'none');
    jQuery('#' + id).css('display', 'block');
}

// Reboot Linode

function rebootLinode(obj, linodeId, configId, apiurl, apikey, serviceid) {
    smoke.confirm('Are you sure want to reboot your server?', function (e) {
        if (e) {
            jQuery('#loaderabckground, #serverloader').css('display', 'block');
            //jQuery(obj).html('Reboot&nbsp;<i class="fa-li fa fa-spinner fa-spin"></i>');
            jQuery.ajax({
                type: 'post',
                url: 'modules/servers/linodes/ajax/ajax.php',
                data: {'customaction': 'reboot', 'linodeid': linodeId, 'configid': configId, 'apiurl': apiurl, 'apikey': apikey},
                success: function (response) {
                    jQuery('#loaderabckground, #serverloader').css('display', 'none');
                    //jQuery(obj).html('Reboot');
                    jQuery('#powerstatus').removeClass('powerstatus');
                    jQuery('#powerstatus').html('');
                    var result = jQuery.parseJSON(response);
                    if (result.status == 'success') {
                        jQuery('#powerstatus').addClass('powerstatus');
                        jQuery('#powerstatus').html(result.msg);
                        setTimeout(function () {
                            jQuery('#powerstatus').removeClass('powerstatus');
                            jQuery('#powerstatus').html('');
                            window.location.href = 'clientarea.php?action=productdetails&id=' + serviceid;
                        }, 2000);
                    } else {
                        jQuery('#powerstatus').addClass('powerstatus');
                        jQuery('#powerstatus').html(result.msg);
                        setTimeout(function () {
                            jQuery('#powerstatus').removeClass('powerstatus');
                            jQuery('#powerstatus').html('');
                        }, 2000);
                    }
                }
            });
        } else {

        }
    }, {
        ok: 'Yes',
        cancel: 'Not',
        classname: "custom-class",
        reverseButtons: true
    });
}

// Shut down Linode

function shutdownLinode(obj, linodeId, apiurl, apikey, serviceid) {
    smoke.confirm('Are you sure want to shutdown your server?', function (e) {
        if (e) {
            jQuery('#loaderabckground, #serverloader').css('display', 'block');
            //jQuery(obj).html('Shutdown&nbsp;<i class="fa-li fa fa-spinner fa-spin"></i>');
            jQuery.ajax({
                type: 'post',
                url: 'modules/servers/linodes/ajax/ajax.php',
                data: {'customaction': 'shutdown', 'linodeid': linodeId, 'apiurl': apiurl, 'apikey': apikey},
                success: function (response) {
                    jQuery('#loaderabckground, #serverloader').css('display', 'none');
                    //jQuery(obj).html('Shutdown');
                    jQuery('#powerstatus').removeClass('powerstatus');
                    jQuery('#powerstatus').html('');
                    var result = jQuery.parseJSON(response);
                    if (result.status == 'success') {
                        jQuery('#powerstatus').addClass('powerstatus');
                        jQuery('#powerstatus').html(result.msg);
                        setTimeout(function () {
                            jQuery('#powerstatus').removeClass('powerstatus');
                            jQuery('#powerstatus').html('');
                            window.location.href = 'clientarea.php?action=productdetails&id=' + serviceid;
                        }, 2000);
                    } else {
                        jQuery('#powerstatus').addClass('powerstatus');
                        jQuery('#powerstatus').html(result.msg);
                        setTimeout(function () {
                            jQuery('#powerstatus').removeClass('powerstatus');
                            jQuery('#powerstatus').html('');
                        }, 2000);
                    }
                }
            });
        } else {

        }
    }, {
        ok: 'Yes',
        cancel: 'Not',
        classname: "custom-class",
        reverseButtons: true
    });
}

// Boot linode 

function bootLinode(obj, linodeId, configId, apiurl, apikey, serviceid) {
    jQuery('#loaderabckground, #serverloader').css('display', 'block');
    //jQuery(obj).html('Boot&nbsp;<i class="fa-li fa fa-spinner fa-spin"></i>');
    jQuery.ajax({
        type: 'post',
        url: 'modules/servers/linodes/ajax/ajax.php',
        data: {'customaction': 'boot', 'linodeid': linodeId, 'configid': configId, 'apiurl': apiurl, 'apikey': apikey},
        success: function (response) {
            jQuery('#loaderabckground, #serverloader').css('display', 'none');
            //jQuery(obj).html('Boot');
            jQuery('#powerstatus').removeClass('powerstatus');
            jQuery('#powerstatus').html('');
            var result = jQuery.parseJSON(response);
            if (result.status == 'success') {
                jQuery('#powerstatus').addClass('powerstatus');
                jQuery('#powerstatus').html(result.msg);
                setTimeout(function () {
                    jQuery('#powerstatus').removeClass('powerstatus');
                    jQuery('#powerstatus').html('');
                    window.location.href = 'clientarea.php?action=productdetails&id=' + serviceid;
                }, 2500);
            } else {
                jQuery('#powerstatus').addClass('powerstatus');
                jQuery('#powerstatus').html(result.msg);
                setTimeout(function () {
                    jQuery('#powerstatus').removeClass('powerstatus');
                    jQuery('#powerstatus').html('');
                }, 2500);
            }
        }
    });
}

// Check linode status

function checkLinodeStatus(linodeId, apiurl, apikey) {
    setInterval(function () {
        jQuery.ajax({
            type: 'post',
            url: 'modules/servers/linodes/ajax/ajax.php',
            data: {'customaction': 'status', 'linodeid': linodeId, 'apiurl': apiurl, 'apikey': apikey},
            success: function (response) {
                var result = jQuery.parseJSON(response);
                if (result.msg != '')
                    jQuery('#linodeStatus').html(result.msg);
                jQuery('#linodeLabel').html(result.label)
            }
        });
    }, 10000);
}

// Update linode

function updateLinode(obj) {
    jQuery('#loaderabckground, #serverloader').css('display', 'block');
    // jQuery(obj).html('Update&nbsp;<i class="fa-li fa fa-spinner fa-spin"></i>');
    jQuery.ajax({
        type: 'post',
        url: 'modules/servers/linodes/ajax/ajax.php',
        data: jQuery('#updatelinode').serialize(),
        success: function (response) {
            jQuery('#loaderabckground, #serverloader').css('display', 'none');
            // jQuery(obj).html('Update');
            jQuery('#updatestatus').removeClass('powerstatus');
            jQuery('#updatestatus').html('');
            var result = jQuery.parseJSON(response);
            if (result.status == 'success') {
                jQuery('#updatestatus').addClass('powerstatus');
                jQuery('#updatestatus').html(result.msg);
                setTimeout(function () {
                    jQuery('#updatestatus').removeClass('powerstatus');
                    jQuery('#updatestatus').html('');
                }, 2500);
            } else {
                jQuery('#updatestatus').addClass('powerstatus');
                jQuery('#updatestatus').html(result.msg);
                setTimeout(function () {
                    jQuery('#updatestatus').removeClass('powerstatus');
                    jQuery('#updatestatus').html('');
                }, 2500);
            }
        }
    });
}

// Update Disk

function updateDisk(obj, serviceid, id) {

    jQuery('#loaderabckground, #serverloader').css('display', 'block');
    // jQuery(obj).html('Update&nbsp;<i class="fa-li fa fa-spinner fa-spin"></i>');
    jQuery.ajax({
        type: 'post',
        url: 'modules/servers/linodes/ajax/ajax.php',
        data: jQuery('#updatedisk_' + id).serialize(),
        success: function (response) {
            jQuery('#loaderabckground, #serverloader').css('display', 'none');
            // jQuery(obj).html('Update');
            jQuery('#updatestatus').removeClass('powerstatus');
            jQuery('#updatestatus').html('');
            var result = jQuery.parseJSON(response);
            if (result.status == 'success') {
                jQuery('#updatestatus').addClass('powerstatus');
                jQuery('#updatestatus').html(result.msg);
                setTimeout(function () {
                    jQuery('#updatestatus').removeClass('powerstatus');
                    jQuery('#updatestatus').html('');
                    window.location.href = 'clientarea.php?action=productdetails&id=' + serviceid;
                }, 3000);
            } else {
                jQuery('#updatestatus').addClass('powerstatus');
                jQuery('#updatestatus').html(result.msg);
                setTimeout(function () {
                    jQuery('#updatestatus').removeClass('powerstatus');
                    jQuery('#updatestatus').html('');
                    //window.location.href = 'clientarea.php?action=productdetails&id='+serviceid;
                }, 3000);
            }
        }
    });
}

// Resize disk

function resizeDisk(obj, serviceid, linodeid, diskid, apiurl, apikey, id, totalhd, configid) {
    var size = jQuery('#size_' + id).val();

    jQuery('#loaderabckground, #serverloader').css('display', 'block');
    // jQuery(obj).html('Resize&nbsp;<i class="fa-li fa fa-spinner fa-spin"></i>');

    jQuery.ajax({
        type: 'post',
        url: 'modules/servers/linodes/ajax/ajax.php',
        data: {'customaction': 'resizedisk', 'linodeid': linodeid, 'diskid': diskid, 'apiurl': apiurl, 'apikey': apikey, 'size': size, 'totalhd': totalhd, 'configid': configid},
        success: function (response) {
            jQuery('#loaderabckground, #serverloader').css('display', 'none');
            // jQuery(obj).html('Resize');
            jQuery('#updatestatus').removeClass('powerstatus');
            jQuery('#updatestatus').html('');
            var result = jQuery.parseJSON(response);
            if (result.status == 'success') {
                jQuery('#updatestatus').addClass('powerstatus');
                jQuery('#updatestatus').html(result.msg);
                setTimeout(function () {
                    jQuery('#updatestatus').removeClass('powerstatus');
                    jQuery('#updatestatus').html('');
                    window.location.href = 'clientarea.php?action=productdetails&id=' + serviceid;
                }, 3000);
            } else {
                jQuery('#updatestatus').addClass('powerstatus');
                jQuery('#updatestatus').html(result.msg);
                setTimeout(function () {
                    jQuery('#updatestatus').removeClass('powerstatus');
                    jQuery('#updatestatus').html('');
                    //window.location.href = 'clientarea.php?action=productdetails&id='+serviceid;
                }, 3000);
            }
        }
    });
}

// Get template

function rebuildOs(obj, serviceid) {
    smoke.confirm('Are you sure want to Rebuild your OS?', function (e) {
        if (e) {
            jQuery('#loaderabckground, #serverloader').css('display', 'block');
            // jQuery(obj).html('Rebuild OS&nbsp;<i class="fa-li fa fa-spinner fa-spin"></i>');
            jQuery(obj).attr('disabled', true);

            jQuery.ajax({
                type: 'post',
                url: 'modules/servers/linodes/ajax/ajax.php',
                data: 'temlabel=' + jQuery('#ostemplate').find("option:selected").text() + '&serviceid=' + serviceid + '&' + jQuery('#rebuildosform').serialize(),
                success: function (response) {
                    jQuery('#loaderabckground, #serverloader').css('display', 'none');
                    // jQuery(obj).html('Rebuild OS');
                    jQuery('#powerstatus').removeClass('powerstatus');
                    jQuery('#powerstatus').html('');
                    var result = jQuery.parseJSON(response);
                    if (result.status == 'success') {
                        jQuery('#powerstatus').addClass('powerstatus');
                        jQuery('#powerstatus').html(result.msg);
                        setTimeout(function () {
                            jQuery('#powerstatus').removeClass('powerstatus');
                            jQuery('#powerstatus').html('');
                            window.location.href = 'clientarea.php?action=productdetails&id=' + serviceid;
                        }, 3000);
                    } else {
                        jQuery('#powerstatus').addClass('powerstatus');
                        jQuery('#powerstatus').html(result.msg);
                        setTimeout(function () {
                            jQuery('#powerstatus').removeClass('powerstatus');
                            jQuery('#powerstatus').html('');
                            //window.location.href = 'clientarea.php?action=productdetails&id='+serviceid;
                        }, 3000);
                    }
                }
            });
        } else {

        }
    }, {
        ok: 'Yes',
        cancel: 'Not',
        classname: "custom-class",
        reverseButtons: true
    });
}