<?php
function linodes_ConfigOptions($params)
{
	$pid = $_GET['id'];
	$Linodes = new Linodes($params);
	$result = $Linodes->getAddonSetting($pid);
	$datacenterArr = explode(',', $result['result']['datacenters']);
	$datacenters = array();

	foreach ($datacenterArr as $key => $value) {
		$dCentersArr = explode('|', $value);
		$datacenters[] = $dCentersArr[1];
	}

	$templatesArr = explode(',', $result['result']['templates']);
	$templates = array();

	foreach ($templatesArr as $t_key => $temp) {
		$tArr = explode('|', $temp);
		$templates[] = $tArr[1];
	}

	$dCenters = implode(',', str_replace('-', ' ', $datacenters));
	$template = implode(',', str_replace('-', ' ', $templates));
	$getConfiguration = $Linodes->getConfiguration();

	foreach ($getConfiguration as $configuartion) {
		if ($configuartion['setting'] == 'api_key') {
			$apiKey = $configuartion['value'];
		}

		if ($configuartion['setting'] == 'api_url') {
			$apiUrl = $configuartion['value'];
		}
	}

	$table = 'mod_linode_license';
	$selectData = mysql_fetch_assoc(select_query($table, 'status', array()));
	$licenseStatus = $selectData['status'];

	if ($licenseStatus != 'Invalid') {
		if (0 < $result['row']) {
			$Linodes->saveConfiguration($pid, 'configoption1', $apiUrl);
			$Linodes->saveConfiguration($pid, 'configoption2', $apiKey);
			$configarray = array(
				'api_url'      => array('FriendlyName' => 'API Url', 'Type' => 'text', 'Size' => '25', 'Default' => $apiUrl),
				'api_key'      => array('FriendlyName' => 'API Key', 'Type' => 'textarea', 'Cols' => '30', 'Rows' => '2', 'Default' => $apiKey),
				'subscription' => array('FriendlyName' => 'Subscription Term', 'Type' => 'dropdown', 'Options' => '1,12,24', 'Default' => '1'),
				'disksize'     => array('FriendlyName' => 'Swap Disk Size', 'Type' => 'dropdown', 'Options' => '256,512,768', 'Default' => '256', 'Description' => 'MB')
				);
			$fieldsArr = array(
				'linodeid'      => array('name' => 'Linode Id', 'fieldtype' => 'text', 'description' => '', 'fieldoptions' => '', 'regexpr' => '', 'adminonly' => 'on', 'required' => '', 'showorder' => '', 'showinvoice' => ''),
				'rootpassword'  => array('name' => 'Root Password', 'fieldtype' => 'text', 'description' => '', 'fieldoptions' => '', 'regexpr' => '', 'adminonly' => '', 'required' => 'on', 'showorder' => 'on', 'showinvoice' => ''),
				'configid'      => array('name' => 'Config Id', 'fieldtype' => 'text', 'description' => '', 'fieldoptions' => '', 'regexpr' => '', 'adminonly' => 'on', 'required' => '', 'showorder' => '', 'showinvoice' => ''),
				'swapid'        => array('name' => 'Swap Disk Id', 'fieldtype' => 'text', 'description' => '', 'fieldoptions' => '', 'regexpr' => '', 'adminonly' => 'on', 'required' => '', 'showorder' => '', 'showinvoice' => ''),
				'diskid'        => array('name' => 'Disk Id', 'fieldtype' => 'text', 'description' => '', 'fieldoptions' => '', 'regexpr' => '', 'adminonly' => 'on', 'required' => '', 'showorder' => '', 'showinvoice' => ''),
				'datacenter'    => array('name' => 'Datacenter', 'fieldtype' => 'dropdown', 'description' => '', 'fieldoptions' => $dCenters, 'regexpr' => '', 'adminonly' => '', 'required' => 'on', 'showorder' => 'on', 'showinvoice' => ''),
				'distributions' => array('name' => 'Distrubution', 'fieldtype' => 'dropdown', 'description' => '', 'fieldoptions' => $template, 'regexpr' => '', 'adminonly' => '', 'required' => 'on', 'showorder' => 'on', 'showinvoice' => ''),
				'rdns'          => array('name' => 'Reverse DNS', 'fieldtype' => 'text', 'description' => 'If you want to show your reverse dns, Then you can set here.', 'fieldoptions' => '', 'regexpr' => '', 'adminonly' => 'on', 'required' => '', 'showorder' => '', 'showinvoice' => '')
				);

			foreach ($fieldsArr as $field) {
				$Linodes->createCustomFields($pid, $field);
			}
		}
		else {
			$configarray = array(
				'Addon module is requied' => array('Type' => 'na', 'Description' => '<span style="color:#ff0000;">You need to assign a plan with this product from addon module, please <a target="_blank" href="addonmodules.php?module=linode">click here</a> to assign plan to this product.</span>')
				);
		}
	}
	else {
		$configarray = array(
			'License invalid' => array('Type' => 'na', 'Description' => '<span style="color:#ff0000;">Your license key is invalid, if you have already entered valid license key, please reload the addon module page, please <a target="_blank" href="addonmodules.php?module=linode">click here</a>.</span>')
			);
	}

	return $configarray;
}

function linodes_CreateAccount($params)
{
	$table = 'mod_linode_license';
	$selectData = mysql_fetch_assoc(select_query($table, 'status', array()));
	$licenseStatus = $selectData['status'];

	if ($licenseStatus == 'Invalid') {
		return 'Error: Module license is invalid.';
	}

	$Linodes = new Linodes($params);
	$csFiledLinodeId = $Linodes->checkCsfield('Linode Id', $params['pid']);
	$csFiledSwapDiskId = $Linodes->checkCsfield('Swap Disk Id', $params['pid']);
	$csFiledDiskId = $Linodes->checkCsfield('Disk Id', $params['pid']);
	$csFiledConfigId = $Linodes->checkCsfield('Config Id', $params['pid']);

	if (empty($csFiledLinodeId)) {
		return 'Product custom filed "Linode Id" is required. Please create custom filed `Linode Id`';
	}

	if (empty($csFiledSwapDiskId)) {
		return 'Product custom filed "Swap Disk Id" is required. Please create custom filed `Swap Disk Id`';
	}

	if (empty($csFiledDiskId)) {
		return 'Product custom filed "Disk Id" is required. Please create custom filed `Disk Id`';
	}

	if (empty($csFiledConfigId)) {
		return 'Product custom filed "Config Id" is required. Please create custom filed `Config Id`';
	}

	$getList = $Linodes->getList();
	$addonSetting = $Linodes->getAddonSetting($params['pid']);
	$datacenterArr = explode(',', $addonSetting['result']['datacenters']);
	$datacenters = array();

	foreach ($datacenterArr as $key => $value) {
		$dCentersArr = explode('|', $value);

		if ($params['customfields']['Datacenter'] == str_replace('-', ' ', $dCentersArr[1])) {
			$datacenterId = $dCentersArr[0];
		}
	}

	$distributionArr = explode(',', $addonSetting['result']['templates']);
	$distribution = array();

	foreach ($distributionArr as $t_key => $template) {
		$templateArr = explode('|', $template);

		if ($params['customfields']['Distrubution'] == $templateArr[1]) {
			$distributionId = $templateArr[0];
			$distributionLabel = $templateArr[1];
		}
	}

	$paymentTerm = $params['configoption3'];
	$planId = $addonSetting['result']['plan_id'];

	if (empty($params['customfields']['Linode Id'])) {
		$createLinode = $Linodes->createLinode($datacenterId, $planId, $paymentTerm);
		if (isset($createLinode['ERRORARRAY']) && !empty($createLinode['ERRORARRAY'][0]['ERRORCODE'])) {
			return 'ERRORCODE: ' . $createLinode['ERRORARRAY'][0]['ERRORCODE'] . ' | ERRORMESSAGE: ' . $createLinode['ERRORARRAY'][0]['ERRORMESSAGE'];
		}

		$updatelinodeId = $Linodes->updateWhmcsProduct($params, $createLinode['DATA']['LinodeID'], $csFiledLinodeId);
		$linodeId = $createLinode['DATA']['LinodeID'];
		$status = 'success';
	}
	else {
		$linodeId = $params['customfields']['Linode Id'];
		$status = 'success';
	}

	$diskLimit = $params['configoption4'];

	if (empty($params['customfields']['Disk Id'])) {
		$diskSize = ((int) $addonSetting['result']['disk'] * 1024) - (int) $diskLimit;
		$createDisk = $Linodes->createDisk($linodeId, $distributionId, $distributionLabel, $diskSize, $params['customfields']['Root Password']);
		if (isset($createDisk['ERRORARRAY']) && !empty($createDisk['ERRORARRAY'][0]['ERRORCODE'])) {
			return 'ERRORCODE: ' . $createDisk['ERRORARRAY'][0]['ERRORCODE'] . ' | ERRORMESSAGE: ' . $createDisk['ERRORARRAY'][0]['ERRORMESSAGE'];
		}

		$diskId = $createDisk['DATA']['DiskID'];
		$updateDiskId = $Linodes->updateWhmcsProduct($params, $diskId, $csFiledDiskId);
		$status = 'success';
	}
	else {
		$diskId = $params['customfields']['Disk Id'];
		$status = 'success';
	}

	if (empty($params['customfields']['Swap Disk Id'])) {
		$createSwapDisk = $Linodes->createSwapDisk($linodeId, 'Swap', 'swap', $diskLimit);
		if (isset($createSwapDisk['ERRORARRAY']) && !empty($createSwapDisk['ERRORARRAY'][0]['ERRORCODE'])) {
			return 'ERRORCODE: ' . $createSwapDisk['ERRORARRAY'][0]['ERRORCODE'] . ' | ERRORMESSAGE: ' . $createSwapDisk['ERRORARRAY'][0]['ERRORMESSAGE'];
		}

		$swapId = $createSwapDisk['DATA']['DiskID'];
		$updateSwapId = $Linodes->updateWhmcsProduct($params, $swapId, $csFiledSwapDiskId);
		$status = 'success';
	}
	else {
		$swapId = $params['customfields']['Swap Disk Id'];
		$status = 'success';
	}

	if (empty($params['customfields']['Config Id'])) {
		if ($diskId || $swapId) {
			$createLinodeConfig = $Linodes->createLinodeConfig($linodeId, $addonSetting['result']['kernal'], $distributionLabel . ' Profile', $diskId . ',' . $swapId . ',,,,,,,');
			if (isset($createLinodeConfig['ERRORARRAY']) && !empty($createLinodeConfig['ERRORARRAY'][0]['ERRORCODE'])) {
				return 'ERRORCODE: ' . $createLinodeConfig['ERRORARRAY'][0]['ERRORCODE'] . ' | ERRORMESSAGE: ' . $createLinodeConfig['ERRORARRAY'][0]['ERRORMESSAGE'];
			}

			$configId = $createLinodeConfig['DATA']['ConfigID'];
			$updateConfigkId = $Linodes->updateWhmcsProduct($params, $configId, $csFiledConfigId);
			$status = 'success';
		}
	}
	else {
		$configId = $params['customfields']['Config Id'];
		$status = 'success';
	}

	$bootLinode = $Linodes->bootLinode($linodeId, $configId);
	if (isset($bootLinode['ERRORARRAY']) && !empty($bootLinode['ERRORARRAY'][0]['ERRORCODE'])) {
		return 'ERRORCODE: ' . $bootLinode['ERRORARRAY'][0]['ERRORCODE'] . ' | ERRORMESSAGE: ' . $bootLinode['ERRORARRAY'][0]['ERRORMESSAGE'];
	}

	$status = 'success';
	return $status;
}

function linodes_SuspendAccount()
{
	logModuleCall('linode', 'Suspend account', '', 'Module doesn\'t support "suspend" function, account has been suspended only in WHMCS');
	return 'success';
}

function linodes_UnsuspendAccount()
{
	logModuleCall('linode', 'Unsuspend account', '', 'Module doesn\'t support "unsuspend" function, account has been unsuspended only in WHMCS');
	return 'success';
}

function linodes_TerminateAccount($params)
{
	$linodeId = $params['customfields']['Linode Id'];

	if (empty($linodeId)) {
		return 'You have not Linode service yet.';
	}

	$Linodes = new Linodes($params);

	if ($Linodes->getList($linodeId)['DATA'][0]['STATUS'] != 2) {
		$shutdownLinode = $Linodes->shutdownLinode($linodeId);

		while ($Linodes->getList($linodeId)['DATA'][0]['STATUS'] == '1') {
			sleep(1);
		}
	}

	$getDiskList = $Linodes->getDiskList($linodeId);

	foreach ($getDiskList['DATA'] as $key => $disk) {
		$deleteDisk = $Linodes->deleteDisk($linodeId, $disk['DISKID']);
	}

	while (!empty($Linodes->getDiskList($linodeId)['DATA'])) {
		sleep(1);
	}

	$deleteLinode = $Linodes->deleteLinode($linodeId);
	if (isset($deleteLinode['ERRORARRAY']) && !empty($deleteLinode['ERRORARRAY'][0]['ERRORCODE'])) {
		$status = 'ERRORCODE: ' . $deleteLinode['ERRORARRAY'][0]['ERRORCODE'] . ' | ERRORMESSAGE: ' . $deleteLinode['ERRORARRAY'][0]['ERRORMESSAGE'];
	}
	else {
		$status = 'success';
	}

	return $status;
}

function linodes_ChangePackage($params)
{
	$table = 'mod_linode_license';
	$selectData = mysql_fetch_assoc(select_query($table, 'status', array()));
	$licenseStatus = $selectData['status'];

	if ($licenseStatus == 'Invalid') {
		return 'Error: Module license is invalid.';
	}

	$csFiled = mysql_fetch_assoc(select_query('tblcustomfields', 'id', array('fieldname' => 'Linode Id')));
	$linodeId = $params['customfields']['Linode Id'];

	if ($csFiled['id'] == '') {
		return 'Product custom filed "Linode Id" is required.';
	}

	if (empty($linodeId)) {
		return 'You have not Linode service yet.';
	}

	$Linodes = new Linodes($params);
	$result = $Linodes->getAddonSetting($params['pid']);
	$planId = $result['result']['plan_id'];

	if ($Linodes->getList($linodeId)['DATA'][0]['STATUS'] != 2) {
		$shutdownLinode = $Linodes->shutdownLinode($linodeId);

		while ($Linodes->getList($linodeId)['DATA'][0]['STATUS'] == '1') {
			sleep(1);
		}
	}

	$resizeLinode = $Linodes->resizeLinode($linodeId, $planId);
	if (($resizeLinode['ERRORARRAY'][0]['ERRORCODE'] != 0) && ($resizeLinode['ERRORARRAY'][0]['ERRORMESSAGE'] != 'ok')) {
		$status = 'ERRORCODE: ' . $resizeLinode['ERRORARRAY'][0]['ERRORCODE'] . ' | ERRORMESSAGE: ' . $resizeLinode['ERRORARRAY'][0]['ERRORMESSAGE'];
	}
	else {
		$configId = $params['customfields']['Config Id'];
		$bootLinode = $Linodes->rebootLinode($linodeId, $configId);
		$status = 'success';
	}

	return $status;
}

function linodes_reboot($params)
{
	$table = 'mod_linode_license';
	$selectData = mysql_fetch_assoc(select_query($table, 'status', array()));
	$licenseStatus = $selectData['status'];

	if ($licenseStatus == 'Invalid') {
		return 'Error: Module license is invalid.';
	}

	$linodeId = $params['customfields']['Linode Id'];

	if (empty($linodeId)) {
		return 'You have not Linode service yet.';
	}

	$Linodes = new Linodes($params);
	$rebootLinode = $Linodes->rebootLinode($linodeId, $params['customfields']['Config Id']);
	if (isset($rebootLinode['ERRORARRAY']) && !empty($rebootLinode['ERRORARRAY'][0]['ERRORCODE'])) {
		$status = 'ERRORCODE: ' . $rebootLinode['ERRORARRAY'][0]['ERRORCODE'] . ' | ERRORMESSAGE: ' . $rebootLinode['ERRORARRAY'][0]['ERRORMESSAGE'];
	}
	else {
		$status = 'success';
	}

	return $status;
}

function linodes_shutdown($params)
{
	$table = 'mod_linode_license';
	$selectData = mysql_fetch_assoc(select_query($table, 'status', array()));
	$licenseStatus = $selectData['status'];

	if ($licenseStatus == 'Invalid') {
		return 'Error: Module license is invalid.';
	}

	$linodeId = $params['customfields']['Linode Id'];

	if (empty($linodeId)) {
		return 'You have not Linode service yet.';
	}

	$Linodes = new Linodes($params);
	$shutdownLinode = $Linodes->shutdownLinode($linodeId);
	if (isset($shutdownLinode['ERRORARRAY']) && !empty($shutdownLinode['ERRORARRAY'][0]['ERRORCODE'])) {
		$status = 'ERRORCODE: ' . $shutdownLinode['ERRORARRAY'][0]['ERRORCODE'] . ' | ERRORMESSAGE: ' . $shutdownLinode['ERRORARRAY'][0]['ERRORMESSAGE'];
	}
	else {
		$status = 'success';
	}

	return $status;
}

function linodes_AdminCustomButtonArray()
{
	$buttonarray = array('Reboot Server' => 'reboot', 'Shutdown Server' => 'shutdown');
	return $buttonarray;
}

function linodes_ClientAreaCustomButtonArray()
{
	$buttonarray = array('Reboot Server' => 'reboot', 'Shutdown Server' => 'shutdown');
	return $buttonarray;
}

function linodes_ClientArea($params)
{
	$table = 'mod_linode_license';
	$selectData = mysql_fetch_assoc(select_query($table, 'status', array()));
	$licenseStatus = $selectData['status'];

	if ($licenseStatus == 'Invalid') {
		return 'Error: Module license is invalid.';
	}

	$linodeId = $params['customfields']['Linode Id'];

	if (empty($linodeId)) {
		$error = 'You have not Linode service yet.';
	}
	else {
		$Linodes = new Linodes($params);
		$getList = $Linodes->getList($linodeId);
		$getDiskList = $Linodes->getDiskList($linodeId);
		$getConfigList = $Linodes->getConfigList($linodeId, $params['customfields']['Config Id']);
		if (isset($getList['ERRORARRAY']) && !empty($getList['ERRORARRAY'][0]['ERRORCODE'])) {
			$error = 'ERRORCODE: ' . $getList['ERRORARRAY'][0]['ERRORCODE'] . ' | ERRORMESSAGE: ' . $getList['ERRORARRAY'][0]['ERRORMESSAGE'];
		}

		$getJobList = $Linodes->getJobList($linodeId);
		$getIpList = $Linodes->getIpList($linodeId);
		$addonSetting = $Linodes->getAddonSetting($params['pid']);
		$distributionArr = explode(',', $addonSetting['result']['templates']);
		$tempArr = array();

		foreach ($distributionArr as $t_key => $template) {
			$templateArr = explode('|', $template);
			$tempArr[] = array('id' => $templateArr[0], 'template' => $templateArr[1]);
		}
	}

	return array(
	'templatefile' => 'clientarea',
	'vars'         => array('serviceid' => $params['serviceid'], 'moduledata' => $params, 'linodeId' => $linodeId, 'configId' => $params['customfields']['Config Id'], 'linodelist' => $getList['DATA'][0], 'disklist' => $getDiskList, 'configlist' => $getConfigList, 'linodeerror' => $error, 'ipfromadmin' => $params['customfields']['Reverse DNS'], 'iplist' => $getIpList['DATA'][0], 'joblist' => $getJobList, 'ostemplates' => $tempArr, 'rootpw' => $params['customfields']['Root Password'])
	);
}

if (!defined('WHMCS')) {
	exit('This file cannot be accessed directly');
}

if (file_exists(__DIR__ . '/classes/class.php')) {
	require_once __DIR__ . '/classes/class.php';
}

?>
